Loading...
Searching...
No Matches
QXmppMixManager::Participation Struct Reference

## Public Attributes

QString | participantId
QString | nickname
QXmppMixConfigItem::Nodes | subscriptions

## Detailed Description

Participation in a channel.

## Member Data Documentation

## nickname

QXmppMixManager::Participation::nickname

Nickname of the user within the channel.

If the server modified the desired nickname, this is the modified one.

## participantId

QXmppMixManager::Participation::participantId

ID of the user within the channel.

## subscriptions

QXmppMixManager::Participation::subscriptions

Nodes belonging to the joined channel that are subscribed to.

If not all desired nodes could be subscribed, this contains only the subscribed nodes.

The documentation for this struct was generated from the following files:

- QXmppMixManager.h
- QXmppMixManager.cpp